Bug 124426 - can not use devname with cdrecord
can not use devname with cdrecord
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 10:27 EDT by Andy Blyler
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 14:39:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Blyler 2004-05-26 10:27:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
cdrecord no longer finds my ide cdrw driver, it also crashes and
complains about devname

Version-Release number of selected component (if applicable):
cdrecord-2.01-0.a27.3

How reproducible:
Always

Steps to Reproduce:
1. [root@box root]# cdrecord -scanbus -dev=/dev/hdc
   

Actual Results:  Cdrecord-Clone 2.01a27-dvd (i686-pc-linux-gnu)
Copyright (C) 1995-2004 J�rg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
<warly@mandrakesoft.com>.
Note: The author of cdrecord should not be bothered with problems in
this version.
scsidev: '/dev/hdc'
devname: '/dev/hdc'
scsibus: -2 target: -2 lun: -2
Warning: Open by 'devname' is unintentional and not supported.
cdrecord: No such device or address. Cannot open '/dev/hdc'. Cannot
open SCSI driver.
cdrecord: For possible targets try 'cdrecord -scanbus'. Make sure you
are root.
cdrecord: For possible transport specifiers try 'cdrecord dev=help'.

Expected Results:  output should show details about my cdrw drive

Additional info:

[root@box root]# ll /dev/cdrom
lrwxrwxrwx  1 root root 8 May 16 17:01 /dev/cdrom -> /dev/hdc

I have mounted cds, and have used the burner with Fedora Core 1 with
the ide-scsi kernel option.
Comment 1 Andy Blyler 2004-05-29 00:23:12 EDT
ide-scsi=hdc was in the grub.conf, and was not removed during the
upgrade process.  After removing ide-scsi=hdc, the results from
`cdrecord -scanbus` are what are to be expected.
Comment 2 Harald Hoyer 2004-06-04 06:52:32 EDT
anaconda is to be blamed
Comment 3 Jeremy Katz 2004-06-04 17:11:39 EDT
Can you attach your grub.conf?
Comment 4 Target 2004-08-23 00:17:46 EDT
I had a similar problem and tracked it down to an ide-scsi parameter
that should not have been copied over by anaconda during the update to
FC2.

The entry in grub.conf as created by anaconda:
title Fedora Core (2.6.5-1.358)
        root (hd0,1)
        kernel /boot/vmlinuz-2.6.5-1.358 ro root=LABEL=/  hdc=ide-scsi
max_scsi_luns=3
        initrd /boot/initrd-2.6.5-1.358.img

hdc is a cd burner. The max luns entry is unrelated; it was added to
keep a 6-in-1 USB memory card reader from producing dozens of
duplicate scsi entries.

You might want to roll this and other similar bugs up into a single
one. There's a whole host of cdr- and dvd-related symptoms caused by
the retention of that boot parameter.
Comment 5 Jeremy Katz 2004-10-07 14:39:35 EDT
Closing due to inactivity.  Please reopen if you have further
information to add to this report.

Note You need to log in before you can comment on or make changes to this bug.